<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/cita_soporte_tecnico.php';
require '../usuario/decodeUsuario.php';
$response = array();

if (
    !isset($_POST['id_cita_soporte_tecnico']) ||
    !isset($_POST['id_usuario'])
) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_usuario = DecodeUser::handlePostUsuario($_POST['id_usuario']);

if (!$id_usuario) {
    $response['response'] = 'error';
    $response['data'] = 'Id del usuario incorrecto.';
    echo json_encode($response);
    return;
}

$id_cita_soporte_tecnico = $_POST['id_cita_soporte_tecnico'];
$id_usuario = $_POST['id_usuario'];
$id_tipo_soporte_tecnico = $_POST['id_tipo_soporte_tecnico'];
$fecha_hora = $_POST['fecha_hora'];
$id_producto_orden = $_POST['id_producto_orden'];
$id_marca = $_POST['id_marca'];
$modelo_producto = $_POST['modelo_producto'];
$numero_serie = $_POST['numero_serie'];
$observaciones = $_POST['observaciones'];

$cita_soporte_tecnico = CitaSoporteTecnico::mdlUpdateCitaSoporteTecnico($id_cita_soporte_tecnico, $id_usuario, $id_tipo_soporte_tecnico, $fecha_hora, $id_producto_orden, $id_marca, $modelo_producto, $numero_serie, $observaciones);

if (!$cita_soporte_tecnico) {
    $response['response'] = 'error';
    $response['data'] = 'No se actualizó la cita de soporte técnico';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = true;

echo json_encode($response);